SAVELOG(8)

NOM
savelog - Sauvegarder un fichier journal

SYNOPSIS
savelog [-m mode] [-u utilisateur] [-g groupe] [-t] [-p] [-c cycle] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r répertoire_cyclique] [-n] [-q] [-D format_de_date] fichier ...

DESCRIPTION
Le programme savelog sauvegarde un fichier journal et, éventuellement, compresse les anciennes versions. Les anciennes versions de fichier sont nommées :

    fichier.<numéro><extension_de_compression>

où <numéro> est le numéro de version, la version la plus récente portant le numéro 0. Si l'option -l n'est pas spécifiée, les versions dont le numéro est supérieur à 0 sont compressées. La version 0 n'est pas compressée car le fichier est peut-être utilisé par un programme. Le paramètre cycle indique le nombre de versions à conserver.

Si le fichier n'existe pas et que l'option -t est utilisée, il sera créé.

Les actions suivantes sont effectuées pour les fichiers existants et dont la taille est supérieure à zéro :

1)  Version numbered files are cycled. Version file.2 is moved to version file.3, version file.1 is moved to version file.2, and so on. Finally version file.0 is moved to version file.1, and version file is deleted. Both compressed names and uncompressed names are cycled, regardless of -l. Missing version files are ignored.

2)  The new file.1 is compressed unless the -l flag was given. It is changed subject to the -m, -u, and -g flags.

3)  The main file is moved to file.0.

4)  si les options -m, -u, -g, -t ou -p sont utilisées, un fichier vide est créé en tenant compte des arguments de ces options. En utilisant l'option -p, le fichier est créé avec les mêmes utilisateur, groupe et permissions que l'ancien fichier ;

5)  The new file.0 is changed subject to the -m, -u, and -g flags.

OPTIONS

-m mode
    modifie les autorisations d'accès aux fichiers journaux (chmod mode). Cette option implique -t.

-u utilisateur
    attribue les fichiers journaux à utilisateur (chown utilisateur). Cette option implique -t.

-g groupe
    attribue les fichiers journaux au groupe groupe (chgrp groupe). Cette option implique -t.

-c cycle
    Save cycle versions of the logfile (default: 7). The cycle count must be at least 2.

-t  si nécessaire, crée le fichier journal.

-l  ne compresse pas les fichiers journaux (par défaut, les fichiers sont compressés).

-p  conserve le propriétaire, le groupe et les permissions du fichier journal.

-j  compresse avec bzip2 au lieu de gzip.

-J  compresse avec xz au lieu de gzip.

    For xz no strength option is set, and xz decides on the default based on the total amount of physical RAM. Note that xz can use a very large amount of memory for the higher compression levels.

-1 .. -9
    niveau de compression ou utilisation mémoire (valeur par défaut : 9, sauf pour xz)

-C  force la suppression des sauvegardes.

-d  utilise la date (AAMMJJhhmmss) au lieu du numéro de version.

-D format_de_date
    force le format de date, en utilisant la syntaxe de la commande date(1)

-r répertoire_cyclique
    use rolldir instead of . to roll files

-n  ne sauvegarde pas les fichiers vides.

-q  n'affiche pas de message.

BOGUES
If a process is still writing to file.0, and savelog moves it to file.1 and compresses it, data could be lost.

TRADUCTION
Ce document est une traduction, réalisée par Antoine Gémis <agemis@netuup.com> le 13 janvier 2003 (savelog 1.16.7).
Elle a été reprise avec po4a par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.

VOIR AUSSI
logrotate(8)